## pipewalker 1.0

=== meson_options.txt ===
# project version
option('version',
       type : 'string',
       value : '0.0.0',
       description : 'project version')

## pipewalker 0.9.4

=== debian/changelog ===
pipewalker (0.9.4-6) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/copyright: updated packaging copyright years.
  * debian/source/lintian-overrides:
      - Added an override to signal the configure filename was already changed
        upstream.
      - Changed existing override to comply with lintian output changes since
        version 2.114.0.
  * debian/tests/control: added options to avoid the xvfb Xserver resetting when
    testing under qemu. Thanks to Lukas Märdian <slyon@ubuntu.com>. (Closes:
    #1011126)
  * debian/watch: updated the search rule to make it compliant with new
    standards from GitHub.

 -- David da Silva Polverari <david.polverari@gmail.com>  Mon, 10 Oct 2022 02:39:24 +0000

pipewalker (0.9.4-5) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.0.
  * debian/patches/*.patch: added the 'Forwarded' field in all patches.
  * debian/tests/control: avoided running xvfb-run tests in background to
    receive the correct exit code from pipewalker.
  * debian/watch: fix matching rule to reflect changes in GitHub releases page.

 -- David da Silva Polverari <david.polverari@gmail.com>  Sun, 03 Oct 2021 02:07:59 +0000

pipewalker (0.9.4-4) unstable; urgency=medium

  * New maintainer. (Closes: #826925)
  * Upstream development moved to Github. Consequently:
      - debian/copyright: updated Source field.
      - debian/upstream/metadata: updated.
      - debian/watch: updated.

 -- David da Silva Polverari <david.polverari@gmail.com>  Sat, 01 Aug 2020 07:13:47 +0000

pipewalker (0.9.4-3) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (See #826925)
  * Included an additional theme and a theme template found on upstream site
    into package. Consequently:
      - debian/examples: created to install the template.
      - debian/extra/New Year.png: included to provide the additional theme.
      - debian/extra/scheme.png: included to provide the upstream theme
        template.
      - debian/install: created to install the additional theme.
      - debian/source/include-binaries: created to include both files in the
        source package.
  * Ran wrap-and-sort.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Added the Vcs-* fields.
      - Bumped Standards-Version to 4.5.0.
      - Changed package synopsis and long description.
      - Removed redundant build dependencies since DH compatibility level 10.
  * debian/copyright:
      - Added a Comment field to document the origin of debian/extra/* files.
      - Added debian/extra/* paragraph.
      - Added new rights in debian/* paragraph.
      - Migrated to 1.0 format.
  * debian/manpages: added to install a maintainer-provided manpage.
  * debian/menu: removed to comply with CTTE #741573. (Closes: #738006)
  * debian/patches/*:
      - 010_configure-no-werror.patch: renamed from no-werror.diff and added
        DEP-3 header.
      - 020_fix-fmt-string-vuln.patch: added to fix a format string
        vulnerability on upstream code.
      - 030_fix-xdg-dot-desktop.patch: added to make upstream provided .desktop
        file conform to XDG Desktop Entry Specification.
      - 040_fix-build-fhs-games.patch: added to make the build system conform to
        FHS regarding static data files for /usr/games.
      - 050_dont-install-menu.patch: added to comply with CTTE #741573.
      - datadir.diff: no longer needed due to build system adjustments by other
        patches. Removed.
  * debian/pipewalker.6: added to provide a manpage to the game binary.
  * debian/rules:
      - Added DEB_BUILD_MAINT_OPTIONS variable to provide full GCC hardening.
      - Changed the '--data-dir' value to suit the modifications made to the
        build system.
      - Removed '--with autoreconf' because it is default since DH 10.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/source/lintian-overrides: added to override a lintian message about a
    maintainer-provided manpage, as it has already been forwarded upstream.
  * debian/tests/control: created to provide trivial CI tests.
  * debian/upstream/metadata: created.
  * debian/watch: bumped to version 4.

 -- David da Silva Polverari <david.polverari@gmail.com>  Sun, 28 Jun 2020 14:53:14 -0500

pipewalker (0.9.4-2) unstable; urgency=low

  * debian/patches/no-werror.diff: Closes: #713336.

 -- Bart Martens <bartm@debian.org>  Mon, 07 Oct 2013 04:03:26 +0000

pipewalker (0.9.4-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format, debhelper 8, no cdbs.
  * debian/install: Removed.  Now taken care of by upstream build.
  * debian/pipewalker.xpm : Removed.  Now shipped and installed by upstream.
  * debian/menu: Not removed.  Upstream ships extra/pipewalker installed in
    /usr/share/menu.  The presence of debian/menu makes sure that postinst
    calls update-menus.
  * debian/patches/datadir.diff: Added.  The "datadir" is set to
    /usr/share/games in debian/rules.
  * debian/control: Build-Depends libpng-dev.

 -- Bart Martens <bartm@debian.org>  Thu, 03 May 2012 17:38:55 +0000

pipewalker (0.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Sat, 16 Oct 2010 18:30:13 +0000

pipewalker (0.8.3-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Fixed dh_desktop-is-deprecated.
  * debian/pipewalker.xpm: Added, copied from 0.7.2, to have a 32x32.

 -- Bart Martens <bartm@debian.org>  Mon, 27 Sep 2010 17:46:06 +0000

pipewalker (0.7.2-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Updated.

 -- Bart Martens <bartm@debian.org>  Thu, 16 Jul 2009 12:10:57 +0200



=== debian/control ===
Source: pipewalker
Section: games
Priority: optional
Maintainer: David da Silva Polverari <david.polverari@gmail.com>
Build-Depends: debhelper-compat (= 13),
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libpng-dev,
               libsdl1.2-dev,
               libxpm-dev
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/pipewalker
Vcs-Git: https://salsa.debian.org/debian/pipewalker.git
Homepage: http://pipewalker.sourceforge.net/

Package: pipewalker
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: combination puzzle game
 This is a puzzle game in which components need to be combined into a single
 circuit: connect all computers to a network server, bring water to the taps
 and so on.
 .
 The game comes with different themes and support user-provided ones through
 PNG files.

=== debian/tests/control ===
Test-Command: pipewalker -help
Restrictions: superficial

Test-Command: pipewalker -version
Restrictions: superficial

Test-Command: xvfb-run -a -s -noreset timeout --preserve-status 5 pipewalker
Depends: @, xauth, xvfb
Restrictions: allow-stderr

Test-Command: xvfb-run -a -s -noreset timeout --preserve-status 5 pipewalker -id=1234 -wrap=0 -size=big
Depends: @, xauth, xvfb
Restrictions: allow-stderr

=== debian/watch ===
version=4
# We wrap @ARCHIVE_EXT@ into parentheses because it is non-capturing
opts="downloadurlmangle=s/archive\/refs\/tags\/v@ANY_VERSION@(@ARCHIVE_EXT@)/releases\/download\/v$1\/@PACKAGE@-$1$2/" \
https://github.com/artemsen/@PACKAGE@/tags archive/refs/tags/v?(\d\S+)\.tar\.gz

## pipewalker 0.9.5

=== debian/changelog ===
pipewalker (0.9.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- David da Silva Polverari <david.polverari@gmail.com>  Thu, 27 Oct 2022 21:31:55 +0000

pipewalker (0.9.5-1) experimental; urgency=medium

  * New upstream version 0.9.5.
  * Removed binary files from source as they were included upstream.
    Consequently:
      - debian/copyright: removed useless Files pattern.
      - debian/examples: modified to install file now provided by upstream.
      - debian/extra/*: not needed anymore. Removed.
      - debian/install: removed unnecessary line.
      - debian/source/include-binaries: not needed anymore. Removed.
  * debian/manpages: updated to install upstream manpage.
  * debian/patches/:
      - Removed previous patches, as they were applied upstream. Thanks!
      - 010_use-xdg-icon-dir.patch: adapted from 030_fix-xdg-dot-desktop.patch
        to use the PNG icon generated due to AppStream requirements.
  * debian/pipewalker.6: removed, as it was included upstream.
  * debian/source/lintian-overrides: no longer needed. Removed.

 -- David da Silva Polverari <david.polverari@gmail.com>  Wed, 26 Oct 2022 01:13:44 +0000

pipewalker (0.9.4-7) unstable; urgency=medium

  * Added functionality to generate a .png icon from the upstream .xpm and copy
    it to the proper directory, to comply with FreeDesktop standards.
    Consequently:
      - debian/clean: created to remove generated file from the build tree.
      - debian/control: added imagemagick to the Build-Depends field to convert
        the icon during the build.
      - debian/install: added a line to copy the generated icon to the right
        directory.
      - debian/patches/030_fix-xdg-dot-desktop.patch: modified to use the new
        icon.
      - debian/rules: added override_dh_auto_build target to generate the icon
        during the build.
  * Ran wrap-and-sort.
  * debian/control: changed from libgl1-mesa-dev to libgl-dev in Build-Depends
    field to avoid depending on obsolete transitional package.
  * debian/upstream/net.sourceforge.pipewalker.pipewalker.metainfo.xml: created
    to provided MetaInfo metadata to comply with AppStream. Consequently:
      - debian/copyright: added licensing for the added .metainfo.xml file.
      - debian/install: added a line to install the new file.
  * debian/watch: replaced incorrect watch option downloadurlmangle with proper
    filenamemangle one to fix upstream tarball download functionality when using
    uscan.

 -- David da Silva Polverari <david.polverari@gmail.com>  Sat, 15 Oct 2022 23:43:32 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: David da Silva Polverari <david.polverari@gmail.com>
 Build-Depends: debhelper-compat (= 13),
-               libgl1-mesa-dev,
+               imagemagick,
+               libgl-dev,
                libglu1-mesa-dev,
                libpng-dev,
                libsdl1.2-dev,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games --datadir=/usr/share

override_dh_auto_build:
	cd extra; convert pipewalker.xpm +set date:create +set date:modify -define png:exclude-chunk=time -thumbnail 64x64 -flatten pipewalker.png
	dh_auto_build

=== debian/tests/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Restrictions: superficial
 
 Test-Command: xvfb-run -a -s -noreset timeout --preserve-status 5 pipewalker
-Depends: @, xauth, xvfb
+Depends: xauth, xvfb, @
 Restrictions: allow-stderr
 
 Test-Command: xvfb-run -a -s -noreset timeout --preserve-status 5 pipewalker -id=1234 -wrap=0 -size=big
-Depends: @, xauth, xvfb
+Depends: xauth, xvfb, @
 Restrictions: allow-stderr

## pipewalker 1.0

=== debian/changelog ===
pipewalker (1.0-1) unstable; urgency=medium

  * New upstream release.
      - Upstream ported it to SDL2. (Closes: #1038538)
  * debian/clean: no longer needed. Removed.
  * debian/control:
      - Bumped Standards-Version to 4.6.2.
      - Updated the Build-Depends field.
      - Updated the Maintainer field.
  * debian/copyright:
      - New upstream licensing: MIT.
      - Removed leftover Comment field.
      - Updated author email on a Files stanza.
      - Updated packaging and upstream copyright years.
  * debian/examples: no longer needed. Removed.
  * debian/install: removed leftover line.
  * debian/manpages: no longer needed. Removed.
  * debian/patches/:
      - 010_match-templated-args.patch: added to fix a FTBFS on i386.
      - 020_use-size_t-format-string.patch: added to fix a FTBFS on i386.
      - All previous patches were dropped, as upstream incorporated all changes
        during code refactoring.
  * debian/rules: dropped dh_auto_build override, as it is no longer needed.
  * debian/tests/control: adapted to accommodate changes to the program CLI
    interface.

 -- David da Silva Polverari <polverari@debian.org>  Sat, 20 Jan 2024 03:51:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: pipewalker
 Section: games
 Priority: optional
-Maintainer: David da Silva Polverari <david.polverari@gmail.com>
+Maintainer: David da Silva Polverari <polverari@debian.org>
 Build-Depends: debhelper-compat (= 13),
                imagemagick,
-               libgl-dev,
-               libglu1-mesa-dev,
-               libpng-dev,
-               libsdl1.2-dev,
-               libxpm-dev
-Standards-Version: 4.6.1
+               libsdl2-dev,
+               libsdl2-image-dev,
+               meson
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/pipewalker
 Vcs-Git: https://salsa.debian.org/debian/pipewalker.git

## pipewalker 1.1

=== debian/changelog ===
pipewalker (1.1-1) unstable; urgency=medium

  * New upstream release.
      - Tiles are now randomized upon starting a new game or pressing
        randomization button. (Closes: #1072240)
  * debian/control: bumped Standards-Version to 4.7.0.
  * debian/patches/: dropped all patches, as upstream incorporated all changes.
  * debian/upstream/net.sourceforge.pipewalker.pipewalker.metainfo.xml:
      - Added 'content_rating' tag to provide age rating information.
      - Added 'developer' element with information about the author.
      - Added 'url' element of type 'homepage'.
      - Removed dot from end of component summary.

 -- David da Silva Polverari <polverari@debian.org>  Sat, 08 Jun 2024 02:16:33 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libsdl2-dev,
                libsdl2-image-dev,
                meson
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/pipewalker
 Vcs-Git: https://salsa.debian.org/debian/pipewalker.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games --datadir=/usr/share

=== debian/tests/control ===
--- 
+++ 
@@ -8,6 +8,6 @@
 Depends: xauth, xvfb, @
 Restrictions: allow-stderr
 
-Test-Command: xvfb-run -a -s -noreset timeout --preserve-status 5 pipewalker -id=1234 -wrap=0 -size=big
+Test-Command: xvfb-run -a -s -noreset timeout --preserve-status 5 pipewalker --id=1234 --no-wrap --width=10 --height=20
 Depends: xauth, xvfb, @
 Restrictions: allow-stderr

=== debian/watch ===
version=4
# We wrap @ARCHIVE_EXT@ into parentheses because it is non-capturing
opts="filenamemangle=s/.+v@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@-$1$2/" \
https://github.com/artemsen/@PACKAGE@/tags archive/refs/tags/v?(\d\S+)\.tar\.gz
